# Youframe

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'youframe'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install youframe

## Usage

```ruby
get_iframe("https://youtu.be/jofNR_WkoCE", width: 500, height: 400) 
# <iframe width="500" height="400"
# src="https://www.youtube.com/embed/jofNR_WkoCE" 
# frameborder="0" allow="accelerometer; autoplay;
# encrypted-media; gyroscope; picture-in-picture"
# allowfullscreen>
# </iframe> 


get_iframe("https://youtu.be/jofNR_WkoCE", start_time: 114, autoplay: false) 
# <iframe width="560" height="315"
# src="https://www.youtube.com/embed/jofNR_WkoCE?start=114" 
# frameborder="0" allow="accelerometer;
# encrypted-media; gyroscope; picture-in-picture"
# allowfullscreen>
# </iframe> 

get_iframe("https://www.youtube.com/watch?v=jofNR_WkoCE", allowfullscreen: false) 
# <iframe width="560" height="315"
# src="https://www.youtube.com/embed/jofNR_WkoCE" 
# frameborder="0" allow="accelerometer; autoplay;
# encrypted-media; gyroscope; picture-in-picture">
# </iframe> 
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/youframe. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
